<template>
  <div class="row mt-5">
    <div class="col-md-3 font-weight-bold" style="font-size: 25px">
      Select Area Football
    </div>
    <div class="col-md-3">
      <select
        @change="onChange($event)"
        class="form-select"
        aria-label="Default select example"
      >
        <option value="" disabled selected>Please select one</option>
        <option value="all">All</option>
        <option value="2001">Africa</option>
        <option value="2014">Asia</option>
        <option value="2077">Europe</option>
        <option value="2159">N/C America</option>
        <option value="2175">Oceania</option>
        <option value="2220">South America</option>
        <option value="2267">World</option>
      </select>
    </div>
    <div class="row mt-5 ms-3">
      <div
        class="res col-md-3 m-2"
        v-for="row in data"
        :key="row.id"
      >
        <div
          class="card pt-2"
          style="height: 60px; cursor: pointer"
          @click="getIdArea(row.id)"
        >
          <div>{{ row.name }}</div>
          <div>{{ row.parentArea }}</div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      data: [],
      area: [],
      kota: [],
    };
  },

  methods: {
    async getData() {
      const params = {
        headers: {
          "X-Auth-Token": "258f2af17cb14a459e29cc0cb1873d40",
        },
      };
      try {
        await axios.get("api/v2/areas", params).then((response) => {
          this.data = response.data.areas;
          this.area = [...new Set(this.data.map((item) => item.parentAreaId))];
          this.kota = [...new Set(this.data.map((item) => item.parentArea))];
        });
      } catch (error) {
        console.log(error);
      }
    },

    async onChange(event) {
      const params = {
        headers: {
          "X-Auth-Token": "258f2af17cb14a459e29cc0cb1873d40",
        },
      };
      const code = event.target.value;
      try {
        if (code == "all") {
          this.getData();
        } else {
          await axios.get("api/v2/areas/" + code, params).then((response) => {
            this.data = response.data.childAreas;
          });
        }
      } catch (error) {
        console.log(error);
      }
    },

    getIdArea(id) {
      this.$router.push({ path: `/team/${id}` });
    },
  },

  mounted() {
    this.getData();
  },
};
</script>

<style lang="scss" scoped>
.card {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  text-align: center;
  background-color: #f1f1f1;
}
.res {
  width: 23%;
}
@media only screen and (max-width: 900px) {
  .res {
    width: 45%;
  }
}
</style>